Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/RVersionMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/RVersionMacro.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/RVersionMacro.groovy	(revision 881)
@@ -1,7 +1,7 @@
 // Copyright © 2016 ENS de Lyon, CNRS, University of Franche-Comté
 // Licensed under the terms of the GNU General Public License (http://www.gnu.org/licenses)
 // @author sheiden
-
+package org.txm.macro.debug
 def r = RWorkspace.getRWorkspaceInstance()
 
 println r.eval("R.version.string").asString()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/BrowserVersionMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/BrowserVersionMacro.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/BrowserVersionMacro.groovy	(revision 881)
@@ -1,6 +1,7 @@
 // Copyright © 2016 ENS de Lyon, CNRS, University of Franche-Comté
 // Licensed under the terms of the GNU General Public License (http://www.gnu.org/licenses)
 // @author sheiden
+package org.txm.macro.debug
 
 import org.eclipse.ui.*
 import org.eclipse.ui.browser.*
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/test/ReleaseFunctionsValidation.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/test/ReleaseFunctionsValidation.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/test/ReleaseFunctionsValidation.groovy	(revision 881)
@@ -1,4 +1,4 @@
-//package org.txm.test
+package org.txm.test
 //import org.txm.*
 //import org.txm.functions.*
 //import org.txm.functions.ca.*
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/test/WGet.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/test/WGet.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/test/WGet.groovy	(revision 881)
@@ -1,3 +1,5 @@
+package org.txm.test
+
 URL url = new URL("http://docs.codehaus.org/display/GROOVY/Simple+file+download+from+URL");
 File outFile = new File("test.out")
 
Index: tmp/org.txm.groovy.core/src/groovy/tests/tests_groovy.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/tests/tests_groovy.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/tests/tests_groovy.groovy	(revision 881)
@@ -1 +1,2 @@
+package tests
 print(Progression5)
\ No newline at end of file
Index: tmp/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- tmp/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 880)
+++ tmp/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 881)
@@ -1,2 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=23
+groovy.compiler.level=-1
+groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: tmp/org.txm.groovy.core/.classpath
===================================================================
--- tmp/org.txm.groovy.core/.classpath	(revision 880)
+++ tmp/org.txm.groovy.core/.classpath	(revision 881)
@@ -1,10 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="src" path="src/groovy"/>
 	<classpathentry kind="src" path="src/java"/>
 	<classpathentry exported="true" kind="lib" path="bin/"/>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="con" path="GROOVY_DSL_SUPPORT"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.groovy.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,65 +1,5 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.libs.groovy-all;bundle-version="2.3.3";visibil
- ity:=reexport,org.txm.utils;bundle-version="1.0.0";visibility:=reexpo
- rt,org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,org.
- eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,org
- .txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexpor
- t,org.txm.concordance.core;bundle-version="1.0.0";visibility:=reexpor
- t,org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.ca.core;bundle-version="1.0.0";visibility:=reexport,org.t
- xm.ahc.core;bundle-version="1.0.0";visibility:=reexport,org.txm.chart
- sengine.core;bundle-version="1.0.0";visibility:=reexport,org.txm.char
- tsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexpo
- rt,org.txm.cooccurrence.core;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.core;bundle-version="0.7.0";visibility:=reexport,org.txm.
- index.core;bundle-version="1.0.0";visibility:=reexport,org.txm.lexica
- ltable.core;bundle-version="1.0.0";visibility:=reexport,org.txm.libs.
- batik;bundle-version="0.0.0";visibility:=reexport,org.txm.libs.colt;b
- undle-version="1.2.0";visibility:=reexport,org.txm.libs.itext;bundle-
- version="2.1.5";visibility:=reexport,org.txm.libs.jfreechart;bundle-v
- ersion="1.0.17";visibility:=reexport,org.txm.libs.jfreesvg;bundle-ver
- sion="1.7.0";visibility:=reexport,org.txm.libs.rserve;bundle-version=
- "0.0.0";visibility:=reexport,org.txm.libs.saxon;bundle-version="9.0.0
- ";visibility:=reexport,org.txm.partition.core;bundle-version="1.0.0";
- visibility:=reexport,org.txm.progression.core;bundle-version="1.0.0";
- visibility:=reexport,org.txm.specificities.core;bundle-version="1.0.0
- ";visibility:=reexport,org.txm.statsengine.core;bundle-version="1.0.0
- ";visibility:=reexport,org.txm.referencer.core;bundle-version="1.0.0"
- ;visibility:=reexport,org.txm.libs.cqp;bundle-version="1.0.0";visibil
- ity:=reexport,org.txm.searchengine.core;bundle-version="1.0.0";visibi
- lity:=reexport,org.eclipse.swt;bundle-version="3.103.2";visibility:=r
- eexport,org.txm.properties.core;bundle-version="1.0.0";visibility:=re
- export
-Export-Package: .,filters.BuildXmlLiturgie,filters.Concatenator,filter
- s.CutHeader,filters.EliminateWhiteSpaces,filters.FusionHeader,filters
- .FusionXmlHeaderBody,filters.MinimalFilter,filters.OneOpenTagPerLine,
- filters.OneTagPerLine,filters.ProcessEnclitics,filters.ProcessQuotes,
- filters.RegexFilter,filters.ReunitBrokenTags,filters.ReunitBrokenWord
- s,filters.TagSentences,filters.Tokeniser,filters.WordInternalElement,
- filters.eliminateNAttributes,org.kohsuke.args4j,org.kohsuke.args4j.sp
- i,org.txm.ant,org.txm.doc,org.txm.export,org.txm.export.conll2009,org
- .txm.functions.mesures,org.txm.importer,org.txm.importer.RGAQCJ,org.t
- xm.importer.alceste,org.txm.importer.bfm,org.txm.importer.bvh,org.txm
- .importer.corptef,org.txm.importer.cqp,org.txm.importer.discours,org.
- txm.importer.doc,org.txm.importer.factiva,org.txm.importer.fleurs,org
- .txm.importer.frantext,org.txm.importer.graal,org.txm.importer.hyperb
- ase,org.txm.importer.hyperprince,org.txm.importer.lasla,org.txm.impor
- ter.limsi,org.txm.importer.perrault,org.txm.importer.teicmc,org.txm.i
- mporter.tmx,org.txm.importer.transcriber,org.txm.importer.txt,org.txm
- .importer.xml,org.txm.importer.xmltxm,org.txm.importer.xmltxmpara,org
- .txm.importer.xtz,org.txm.macro.annotation,org.txm.macro.commands,org
- .txm.macro.cqp,org.txm.macro.csv,org.txm.macro.debug,org.txm.macro.ed
- ition,org.txm.macro.export,org.txm.macro.imports,org.txm.macro.misc,o
- rg.txm.macro.oriflamms.analyse,org.txm.macro.oriflamms.prepare,org.tx
- m.macro.r,org.txm.macro.stats,org.txm.macro.text,org.txm.macro.transc
- ription,org.txm.macro.txt,org.txm.macro.xml,org.txm.macroproto,org.tx
- m.macroproto.edition,org.txm.macroproto.export,org.txm.macroproto.imp
- orter,org.txm.macroproto.partition,org.txm.macroproto.txt,org.txm.scr
- ipts,org.txm.scripts.clix,org.txm.scripts.i18n,org.txm.scripts.teitxm
- ,org.txm.scripts.tigersearch,org.txm.setup,org.txm.sw,org.txm.tal,org
- .txm.tal.melt,org.txm.tal.stanford,org.txm.test,org.txm.tokenizer,tes
- ts
+Export-Package: org.txm.groovy.core
 Bundle-ActivationPolicy: lazy
 Bundle-ClassPath: .,bin/
 Bundle-Version: 1.0.0.qualifier
@@ -67,4 +7,5 @@
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.groovy.core;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Require-Bundle: org.txm.core;bundle-version="0.8.0";visibility:=reexport
 
Index: tmp/org.txm.index.core/.classpath
===================================================================
--- tmp/org.txm.index.core/.classpath	(revision 880)
+++ tmp/org.txm.index.core/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="src" path="groovy"/>
 	<classpathentry kind="output" path="bin"/>
Index: tmp/org.txm.index.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,10 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=
- reexport,org.txm.statsengine.r.core;bundle-version="1.0.0";visibility
- :=reexport,org.eclipse.core.runtime;visibility:=reexport,org.txm.core
- ;bundle-version="0.7.0";visibility:=reexport,org.txm.searchengine.cor
- e;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
+ org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.index.core.functions,org.txm.index.core.messag
  es,org.txm.index.core.preferences,org.txm.macro.r,org.txm.test
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.cooccurrence.core/.classpath
===================================================================
--- tmp/org.txm.cooccurrence.core/.classpath	(revision 880)
+++ tmp/org.txm.cooccurrence.core/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.cooccurrence.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cooccurrence.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.cooccurrence.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,15 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,org
- .eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,or
- g.txm.concordance.core;bundle-version="1.0.0";visibility:=reexport,or
- g.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.core;bundle-version="0.7.0";visibility:=reexport,org.txm.lexi
- caltable.core;visibility:=reexport,org.txm.specificities.core;bundle-
- version="1.0.0";visibility:=reexport,org.txm.index.core;bundle-versio
- n="1.0.0";visibility:=reexport,org.txm.searchengine.core;bundle-versi
- on="1.0.0";visibility:=reexport,org.txm.searchengine.cqp.core;bundle-
- version="1.1.0";visibility:=reexport
+Require-Bundle: org.txm.concordance.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.specificities.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.cooccurrence.core.functions,org.txm.cooccurren
  ce.core.functions.comparators,org.txm.cooccurrence.core.messages,org.
  txm.cooccurrence.core.preferences
Index: tmp/org.txm.synopticeditor.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.synopticeditor.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.synopticeditor.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,15 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
- org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.concordance.rcp;bundle-version="1.0.0";visibility:=reexport,
- org.txm.core;bundle-version="0.7.0";visibility:=reexport,
- org.eclipse.ui;visibility:=reexport,
- org.eclipse.core.runtime;visibility:=reexport,
- org.txm.rcp;bundle-version="0.7.5";visibility:=reexport,
- org.eclipse.ui.browser;bundle-version="3.4.100";visibility:=reexport,
- org.eclipse.jface.databinding;bundle-version="1.6.200";visibility:=reexport,
- org.eclipse.jface.text;bundle-version="3.9.2";visibility:=reexport,
- org.txm.links.rcp;bundle-version="1.0.0"
+Require-Bundle: org.txm.concordance.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.links.rcp;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.edition.rcp.editors,
  org.txm.edition.rcp.handlers,
  org.txm.edition.rcp.messages,
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 880)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 881)
@@ -578,8 +578,9 @@
 	public void lastPage() {
 		// System.out.println(Messages.TxmBrowser_2+currentPage);
 
-		if (currentPage != null && currentPage.getFile().equals(currentEdition.getLastPage().getFile()))
+		if (currentPage != null && currentPage.getFile().equals(currentEdition.getLastPage().getFile())) {
 			return;
+		}
 		currentPage = currentEdition.getLastPage();
 		currentText = currentEdition.getText();
 		this.setURL(currentPage.toURL());
@@ -600,8 +601,9 @@
 				this.setURL(currentPage.toURL());
 			}
 			currentText = currentEdition.getText();
-		} else
+		} else {
 			firstPage();
+		}
 		//page_label.setText(makePageLabel());
 	}
 
@@ -621,8 +623,9 @@
 				this.setURL(currentPage.toURL());
 			}
 			currentText = currentEdition.getText();
-		} else
+		} else {
 			firstPage();
+		}
 		//page_label.setText(makePageLabel());
 	}
 
@@ -761,7 +764,9 @@
 			return;
 		}
 
-		if (refresh) this.setURL(currentPage.toURL());
+		if (refresh) {
+			this.setURL(currentPage.toURL());
+		}
 		//page_label.setText(makePageLabel());
 	}
 
Index: tmp/org.txm.statsengine.core/.classpath
===================================================================
--- tmp/org.txm.statsengine.core/.classpath	(revision 880)
+++ tmp/org.txm.statsengine.core/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="src" path="res"/>
 	<classpathentry kind="output" path="bin"/>
Index: tmp/org.txm.statsengine.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.statsengine.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,10 +1,7 @@
 Manifest-Version: 1.0
 Export-Package: org.txm.statsengine.core,org.txm.statsengine.core.data
  ,org.txm.statsengine.core.messages,org.txm.statsengine.core.utils
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,org
- .eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,or
- g.txm.core;bundle-version="0.7.0";visibility:=reexport
+Require-Bundle: org.txm.core;bundle-version="0.7.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: Statistics Engine Core
Index: tmp/org.txm.lexicaltable.rcp/.classpath
===================================================================
--- tmp/org.txm.lexicaltable.rcp/.classpath	(revision 880)
+++ tmp/org.txm.lexicaltable.rcp/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,18 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.osgi;bundle-version="3.10.2";visibility:=r
- eexport,org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=
- reexport,org.txm.utils;bundle-version="1.0.0";visibility:=reexport,or
- g.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,org.txm.li
- bs.batik;visibility:=reexport,org.txm.statsengine.core;bundle-version
- ="1.0.0";visibility:=reexport,org.txm.statsengine.r.core;bundle-versi
- on="1.0.0";visibility:=reexport,org.txm.statsengine.r.rcp;visibility:
- =reexport,org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibi
- lity:=reexport,org.txm.index.core;bundle-version="1.0.0";visibility:=
- reexport,org.txm.lexicaltable.core;bundle-version="1.0.0";visibility:
- =reexport,org.txm.ca.core;bundle-version="1.0.0";visibility:=reexport
- ,org.txm.core;visibility:=reexport,org.txm.rcp;visibility:=reexport,o
- rg.eclipse.core.expressions;bundle-version="3.4.600";visibility:=reex
- port
+Require-Bundle: org.txm.statsengine.r.rcp;visibility:=reexport,
+ org.txm.lexicaltable.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.lexicaltable.rcp.adapters,org.txm.lexicaltable
  .rcp.editors,org.txm.lexicaltable.rcp.handlers,org.txm.lexicaltable.r
  cp.messages,org.txm.lexicaltable.rcp.preferences
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 880)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 881)
@@ -43,7 +43,6 @@
 //import org.txm.functions.queryindex.QueryIndex;
 import org.txm.index.core.functions.Index;
 import org.txm.lexicaltable.core.functions.LexicalTable;
-import org.txm.lexicaltable.rcp.editors.LexicalTableDialog;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditor;
 import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
 import org.txm.rcp.StatusLine;
@@ -65,13 +64,6 @@
  */
 public class ComputeLexicalTable extends BaseAbstractHandler {
 
-
-	/** The code. */
-	int code;
-
-	/** The d. */
-	LexicalTableDialog d;
-
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
Index: tmp/org.txm.index.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,18 +1,7 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,
- org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,
- org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
- org.txm.core;bundle-version="0.7.0";visibility:=reexport,
- org.txm.index.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.statsengine.r.rcp;visibility:=reexport,
- org.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,
- org.txm.rcp;visibility:=reexport,
- org.eclipse.core.expressions;bundle-version="3.4.600";visibility:=reexport,
- org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.links.rcp;bundle-version="1.0.0"
+Require-Bundle: org.txm.statsengine.r.rcp;visibility:=reexport,
+ org.txm.links.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.index.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.index.rcp.adapters,
  org.txm.index.rcp.editors,
  org.txm.index.rcp.handlers,
Index: tmp/org.txm.searchengine.cqp.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.searchengine.cqp.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.searchengine.cqp.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,9 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui;visibility:=reexport,org.eclipse.core.r
- untime;visibility:=reexport,org.txm.core;bundle-version="0.7.0";visib
- ility:=reexport,org.txm.searchengine.core;bundle-version="1.0.0";visi
- bility:=reexport,org.txm.libs.cqp;bundle-version="1.0.0";visibility:=
- reexport,org.txm.utils;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.libs.cqp;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.importer.cwb,org.txm.searchengine.cqp,org.txm.
  searchengine.cqp.clientExceptions,org.txm.searchengine.cqp.core.funct
  ions.preview,org.txm.searchengine.cqp.core.functions.selection,org.tx
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 880)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 881)
@@ -392,11 +392,11 @@
 	 * @return true, if is initialized
 	 */
 	public static boolean isInitialized() {
-		return Toolbox.getEngineManager(EngineType.SEARCH).getEngine("CQP").getState();
+		return Toolbox.getEngineManager(EngineType.SEARCH).getEngine("CQP").isRunning();
 	}
 
 	@Override
-	public boolean getState() {
+	public boolean isRunning() {
 		return state;
 	}
 }
Index: tmp/org.txm.information.rcp/.classpath
===================================================================
--- tmp/org.txm.information.rcp/.classpath	(revision 880)
+++ tmp/org.txm.information.rcp/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.information.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.information.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.information.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,10 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui;bundle-version="3.106.1";visibility:=re
- export,org.txm.utils;visibility:=reexport,org.txm.searchengine.cqp.co
- re;bundle-version="1.1.0";visibility:=reexport,org.txm.properties.cor
- e;bundle-version="1.0.0";visibility:=reexport,org.eclipse.core.runtim
- e;bundle-version="3.10.0";visibility:=reexport,org.txm.rcp;bundle-ver
- sion="0.8.0";visibility:=reexport
+Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,
+ org.txm.properties.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: Information RCP
Index: tmp/org.txm.lexicaltable.core/.classpath
===================================================================
--- tmp/org.txm.lexicaltable.core/.classpath	(revision 880)
+++ tmp/org.txm.lexicaltable.core/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.lexicaltable.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.lexicaltable.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.lexicaltable.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,12 +1,5 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.osgi;bundle-version="3.10.2";visibility:=r
- eexport,org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=
- reexport,org.txm.utils;bundle-version="1.0.0";visibility:=reexport,or
- g.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexpo
- rt,org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexpo
- rt,org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reex
- port,org.txm.core;bundle-version="0.7.0";visibility:=reexport,org.txm
- .index.core;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.index.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.functions.intertextualdistance,org.txm.lexical
  table.core.functions,org.txm.lexicaltable.core.messages,org.txm.lexic
  altable.core.preferences,org.txm.lexicaltable.core.statsengine.data,o
